- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeBitmapFinder Class Reference
[Ipe Management]

A visitor that recursively scans objects and collects all bitmaps. More...

Inherits IpeVisitor.

List of all members.

## Public Member Functions

- void ScanPage (const IpePage *page)
- virtual void VisitGroup (const IpeGroup *obj)
- virtual void VisitImage (const IpeImage *obj)
- virtual void VisitReference (const IpeReference *obj)

## Public Attributes

- std::vector< IpeBitmap > iBitmaps

## Detailed Description

A visitor that recursively scans objects and collects all bitmaps.

## Member Function Documentation

void IpeBitmapFinder::VisitGroup | ( | const IpeGroup * | obj | ) | `[virtual]`

Called on an IpeGroup object.

Reimplemented from IpeVisitor.

void IpeBitmapFinder::VisitImage | ( | const IpeImage * | obj | ) | `[virtual]`

Called on an IpeImage object.

Reimplemented from IpeVisitor.

void IpeBitmapFinder::VisitReference | ( | const IpeReference * | obj | ) | `[virtual]`

Called on an IpeReference object.

Reimplemented from IpeVisitor.

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp